package clause

import "git.sxidc.com/go-tools/utils/strutils"

type GroupBy struct {
	columnName string
}

func NewGroupBy(columnName string) *GroupBy {
	return &GroupBy{
		columnName: columnName,
	}
}

func (clause *GroupBy) Clause() (string, error) {
	if strutils.IsStringEmpty(clause.columnName) {
		return "", nil
	}

	return "GROUP BY " + clause.columnName + "\n", nil
}

func (clause *GroupBy) Args() []any {
	return make([]any, 0)
}
