package logger

type Options struct {
	skipCaller int
}

func (options Options) SkipCaller() int {
	return options.skipCaller
}

type Option func(*Options)

func WithSkipCaller(skip int) Option {
	return func(config *Options) {
		config.skipCaller = skip
	}
}
